Автор Тема: Не работает веб-камера на ноутбке Lenovo Z565 в Альт Линукс 6.0  (Прочитано 8329 раз)

Оффлайн SuperMegaTrollFromLOR

  • Завсегдатай
  • *
  • Сообщений: 59
    • Email
сабж. обновления все стоят. причём камера определяется, но не работает ни в скайпе, ни в cheese. Со старым ведром работает (2.6.32), выходит проблема в нём
« Последнее редактирование: 08.02.2012 13:28:58 от Linuxoid777 »

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 962
    • Домашняя страница
    • Email
Ядро какое используется?
Андрей Черепанов (cas@)

Оффлайн SuperMegaTrollFromLOR

  • Завсегдатай
  • *
  • Сообщений: 59
    • Email
Ядро какое используется?

Говорю же с 3.0.7(то которое самое свежее из p6) не работает, а c 2.6.32 работает. В бубунте 12.04 та же хрень была, когда было там 3.0.x, так что это не криворукость вашего майнтейнера ядра, а криворукость какого-то из разработчиков самого ядра.

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 962
    • Домашняя страница
    • Email
Говорю же с 3.0.7(то которое самое свежее из p6)
Это не так, там много ядер и более свежих версий:
kernel-image-el-smp-2.6.32-alt31.src.rpm
kernel-image-std-def-3.0.18-alt0.M60P.1.src.rpm
kernel-image-std-pae-3.0.18-alt0.M60P.1.src.rpm
kernel-image-un-def-3.2.2-alt0.M60P.1.src.rpm
(откровенную экзотику убрал). Да и сегодня в p6 попали std-def и std-pae 3.0.20.
Андрей Черепанов (cas@)

Оффлайн SuperMegaTrollFromLOR

  • Завсегдатай
  • *
  • Сообщений: 59
    • Email
Говорю же с 3.0.7(то которое самое свежее из p6)
Это не так, там много ядер и более свежих версий:
kernel-image-el-smp-2.6.32-alt31.src.rpm
kernel-image-std-def-3.0.7-alt0.M60P.1.src.rpm
kernel-image-std-pae-3.0.18-alt0.M60P.1.src.rpm
kernel-image-un-def-3.2.2-alt0.M60P.1.src.rpm
(откровенную экзотику убрал). Да и сегодня в p6 попали std-def и std-pae 3.0.20.

Упс, у меня не самое свежее, а kernel-image-std-def-3.0.7

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 962
    • Домашняя страница
    • Email
Упс, у меня не самое свежее, а kernel-image-std-def-3.0.7
update-kernel
Андрей Черепанов (cas@)

Оффлайн SuperMegaTrollFromLOR

  • Завсегдатай
  • *
  • Сообщений: 59
    • Email
Упс, у меня не самое свежее, а kernel-image-std-def-3.0.7
update-kernel

bash: update-kernel: команда не найдена

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 19 962
    • Домашняя страница
    • Email
Андрей Черепанов (cas@)

Оффлайн SuperMegaTrollFromLOR

  • Завсегдатай
  • *
  • Сообщений: 59
    • Email
Цитировать
http://www.altlinux.org/Su

Спасибо большое, но я лучше на 2.6.32 посижу.
« Последнее редактирование: 08.02.2012 18:49:06 от Skull »

Оффлайн palex

  • Завсегдатай
  • *
  • Сообщений: 124
update-kernel
Нарвался на аналогичную проблемку, решив приобщиться к миру вебкамер и скайпов посредством Genius iSlim-1300V2.
Ноутбук Lenovo-E43+камера на USB.. ALT Linux 6.0.1 KDesktop  (Centaurea Sadleriana)
Камера определяется, права на неё имеются, микрофон работает. В интернетах отзывы про камеру+линукс положительные.(http://www.ideasonboard.org/uvc/#devices и другие)
При попытке записать видео или фотку с "Segmentation Fault" вылетают -kdenlive, vlc, ucview.
fswebcam  пишет :
--- Opening /dev/video0...
Trying source module v4l2...
/dev/video0 opened.
No input was specified, using the first.
Adjusting resolution from 384x288 to 352x288.
--- Capturing frame...
Timed out waiting for frame!
No frames captured.
При обращении программ к камере на ней загорается индикатор(все названные и audacity)/
Есть всё кроме изображения :-)
Ядро с 3.0.20 было обновлено до 3.0.31.
В dmesg не понравилось сообщение:
[ 1158.165069] uvcvideo: Deprecated UVCIOC_CTRL_{ADD,MAP_OLD,GET,SET} ioctls will be removed in 2.6.42.
[ 1158.165073] uvcvideo: See http://www.ideasonboard.org/uvc/upgrade/ for upgrade instructions.
[ 1164.499130] ucview[10273]: segfault at 0 ip b6edcf1c sp bfd7f3e4 error 6 in libc-2.11.3.so[b6e67000+15d000]
В прицепе вывод uname, lspci, lsusb и dmesg.
Похоже, обновление ядра не слишком помогает.
На ядрах <2.6.40 проверить не смог, но почему-то кажется что будет работать.
Ну и, собственно - что еще предпринять, чтобы запустить камеру?
« Последнее редактирование: 19.05.2012 20:00:40 от palex »

Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 9 001
Насколько я понимаю проблему, требуется обновить драйвер uvcvideo на ядрах больших чем 2.6.42 (или использовать ядра с меньшей версией, например, 2.6.32-el-smp).

Оффлайн palex

  • Завсегдатай
  • *
  • Сообщений: 124
Насколько я понимаю проблему, требуется обновить драйвер uvcvideo на ядрах больших чем 2.6.42 (или использовать ядра с меньшей версией, например, 2.6.32-el-smp).
Да, версия осталась таже 1.1.0. соответственно и результат
[root@e43 uvc]# modinfo /lib/modules/3.0.31-std-def-alt0.M60P.1/kernel/drivers/media/video/uvc/uvcvideo.ko |grep ver
filename:       /lib/modules/3.0.31-std-def-alt0.M60P.1/kernel/drivers/media/video/uvc/uvcvideo.ko
version:        v1.1.0
description:    USB Video Class driver
srcversion:     3B33BC9F94104A90BABBE9F
vermagic:       3.0.31-std-def-alt0.M60P.1 SMP mod_unload modversions PENTIUMII
[root@e43 uvc]# modinfo /lib/modules/3.0.20-std-def-alt0.M60P.1/kernel/drivers/media/video/uvc/uvcvideo.ko |grep ver
filename:       /lib/modules/3.0.20-std-def-alt0.M60P.1/kernel/drivers/media/video/uvc/uvcvideo.ko
version:        v1.1.0
description:    USB Video Class driver
srcversion:     3B33BC9F94104A90BABBE9F
vermagic:       3.0.20-std-def-alt0.M60P.1 SMP mod_unload modversions PENTIUMII
.
Попробую еще что-нибудь покрутить, прежде чем делать downgrade.


Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 9 001
Попробую еще что-нибудь покрутить, прежде чем делать downgrade.
А чего бояться? Ставите ядро el-smp в дополнение к std-def, перезагрузка, в меню груба выбираете el-smp и смотрите на результат.

Оффлайн palex

  • Завсегдатай
  • *
  • Сообщений: 124
В 2.6.32-el-smp камера нормально работает. Правда, на нем отваливается модуль b43, который на wifi работает. Правится вручную. Версия uvcvideo 1.0.0. Посмотрел в kernel-modules-v4l-std-def-3.3.6 вроде как 1.1.1.
Завтра попробую с совсем уж новым ядром....
Да, давно я не маялся ядерными войнами....:-)